package com.supervision.police.service;

/**
 *案件状态管理
 */
public interface CaseStatusManageService {

    /**
     * 当保存案件人员信息
     * @param caseId 案件id
     * @param roleId 角色id
     */
    void whenSaveCasePeople(String caseId, String roleId);

    /**
     * 当删除案件指标
     * @param caseId 案件id
     */
    void whenDeleteCaseIndex(String caseId);

    /**
     * 当上传笔录
     * @param caseId 案件id
     */
    void whenUploadRecord(String caseId);

    /**
     * 当删除笔录
     * @param caseId 案件id
     */
    void whenDeleteRecord(String caseId);

    /**
     * 当更新案件数据
     * @param caseId 案件id
     */
    void  whenUpdateData(String caseId);
}
